org.eclipse.emf.cdo.common.commit

## Interface CDOCommitHistory.Provider<KEY,HISTORY extends CDOCommitHistory>

- All Known Subinterfaces:
    CDOCommitInfoManager, CDOTransaction, CDOView, InternalCDOCommitInfoManager, InternalCDOTransaction, InternalCDOView
  All Known Implementing Classes:
    CDOPushTransaction
  Enclosing interface:
    CDOCommitHistory

      public static interface CDOCommitHistory.Provider<KEY,HISTORY extends CDOCommitHistory>

  Provides consumers with `histories`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommitHistory` | `getHistory()`
    `HISTORY` | `getHistory(KEY key)`

- - ### Method Detail

    - #### getHistory

          CDOCommitHistory getHistory()

    - #### getHistory

          HISTORY getHistory(KEY key)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html